> ## Documentation Index
> Fetch the complete documentation index at: https://docs.drain.lat/llms.txt
> Use this file to discover all available pages before exploring further.

# guns.lol

> Fetch public guns.lol bio page profiles.

# guns.lol

**Base URL:** `https://drain.lat/api/v1/gunslol`

<AccordionGroup>
  <Accordion title="GET /profile/:username" icon="user">
    Fetch a guns.lol bio page profile.

    ```
    GET /api/v1/gunslol/profile/:username
    ```

    <ParamField path="username" type="string" required>
      The guns.lol username to look up.
    </ParamField>

    <CodeGroup>
      ```bash cURL theme={null}
      curl "https://drain.lat/api/v1/gunslol/profile/test" \
        -H "x-api-key: YOUR_API_KEY"
      ```

      ```javascript JavaScript theme={null}
      const res = await fetch("https://drain.lat/api/v1/gunslol/profile/test", {
        headers: { "x-api-key": "YOUR_API_KEY" }
      });
      const data = await res.json();
      ```

      ```python Python theme={null}
      import requests

      res = requests.get(
          "https://drain.lat/api/v1/gunslol/profile/test",
          headers={"x-api-key": "YOUR_API_KEY"}
      )
      print(res.json())
      ```
    </CodeGroup>

    <ResponseField name="username" type="string">guns.lol username.</ResponseField>
    <ResponseField name="displayName" type="string">Display name.</ResponseField>
    <ResponseField name="bio" type="string">Profile bio.</ResponseField>
    <ResponseField name="avatarUrl" type="string">Avatar image URL.</ResponseField>
    <ResponseField name="socialLinks" type="string[]">Array of social/external link URLs.</ResponseField>
    <ResponseField name="profileUrl" type="string">Link to the guns.lol profile.</ResponseField>

    ```json Response theme={null}
    {
      "username": "test",
      "displayName": "test",
      "bio": "just vibing",
      "avatarUrl": "https://guns.lol/assets/avatars/...",
      "socialLinks": [
        "https://twitter.com/test",
        "https://discord.gg/example",
        "https://github.com/test"
      ],
      "profileUrl": "https://guns.lol/test",
      "scrapedAt": "2026-05-05T12:00:00.000Z"
    }
    ```

    <Note>View count is not available - it's rendered client-side and can't be scraped.</Note>
  </Accordion>
</AccordionGroup>
